Bug 174804 - [PATCH] devel/p5-Capture-Tiny: update to 0.21
Summary: [PATCH] devel/p5-Capture-Tiny: update to 0.21
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Frederic Culot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-29 12:30 UTC by Po-Chien Lin
Modified: 2013-01-03 12:00 UTC (History)
1 user (show)

See Also:


Attachments
p5-Capture-Tiny-0.21.patch (1.15 KB, patch)
2012-12-29 12:30 UTC, Po-Chien Lin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Po-Chien Lin 2012-12-29 12:30:02 UTC
- Update to 0.21
Comment 1 Edwin Groothuis freebsd_committer 2012-12-29 12:30:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-12-29 12:30:31 UTC
Maintainer of devel/p5-Capture-Tiny,

Please note that PR ports/174804 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/174804

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-12-29 12:30:32 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Bill Brinzer 2012-12-29 14:04:17 UTC
On Sat, Dec 29, 2012 at 7:30 AM, Edwin Groothuis wrote:
> Maintainer of devel/p5-Capture-Tiny,
>
> Please note that PR ports/174804 has just been submitted.

Patch looks good to me.

Bill Brinzer
Comment 5 Frederic Culot freebsd_committer 2013-01-03 11:35:54 UTC
Responsible Changed
From-To: perl->culot

I'll take it.
Comment 6 dfilter service freebsd_committer 2013-01-03 11:50:56 UTC
Author: culot
Date: Thu Jan  3 11:50:48 2013
New Revision: 309871
URL: http://svnweb.freebsd.org/changeset/ports/309871

Log:
  - Update to 0.21 [1]
  - Add LICENSE (Apache 2)
  
  Changes:	http://search.cpan.org/dist/Capture-Tiny/Changes
  PR:		ports/174804 [1]
  Submitted by:	Po-Chien Lin <linpc@cs.nctu.edu.tw>
  Approved by:	Bill Brinzer <bill.brinzer@gmail.com> (maintainer)

Modified:
  head/devel/p5-Capture-Tiny/Makefile
  head/devel/p5-Capture-Tiny/distinfo

Modified: head/devel/p5-Capture-Tiny/Makefile
==============================================================================
--- head/devel/p5-Capture-Tiny/Makefile	Thu Jan  3 11:37:21 2013	(r309870)
+++ head/devel/p5-Capture-Tiny/Makefile	Thu Jan  3 11:50:48 2013	(r309871)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	devel/p5-Capture-Tiny
-# Date created:				23 June 2009
-# Whom:					Bill Brinzer <bill.brinzer@gmail.com>
-#
+# Created by: Bill Brinzer <bill.brinzer@gmail.com>
 # $FreeBSD$
-#
 
 PORTNAME=	Capture-Tiny
-PORTVERSION=	0.19
+PORTVERSION=	0.21
 CATEGORIES=	devel perl5
 MASTER_SITES=	CPAN
 MASTER_SITE_SUBDIR=	CPAN:DAGOLDEN
@@ -15,6 +11,8 @@ PKGNAMEPREFIX=	p5-
 MAINTAINER=	bill.brinzer@gmail.com
 COMMENT=	Capture STDOUT and STDERR from Perl, XS, or external programs
 
+LICENSE=	AL2
+
 PERL_CONFIGURE=	yes
 
 MAN3=		Capture::Tiny.3

Modified: head/devel/p5-Capture-Tiny/distinfo
==============================================================================
--- head/devel/p5-Capture-Tiny/distinfo	Thu Jan  3 11:37:21 2013	(r309870)
+++ head/devel/p5-Capture-Tiny/distinfo	Thu Jan  3 11:50:48 2013	(r309871)
@@ -1,2 +1,2 @@
-SHA256 (Capture-Tiny-0.19.tar.gz) = 27b30b22906ba4ae58796e5f5b56815481c6e60f76765e00ad6689117cb74145
-SIZE (Capture-Tiny-0.19.tar.gz) = 29633
+SHA256 (Capture-Tiny-0.21.tar.gz) = 8f27b21afd1c89542f506abb42e96393346d5bf45dac00c0c857ea9f86117fd3
+SIZE (Capture-Tiny-0.21.tar.gz) = 30456
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Frederic Culot freebsd_committer 2013-01-03 11:51:08 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!